RSS   Twitter   Copiny   Copiny
Нашел ошибку? 

Выдели фрагмент текста с ошибкой или неточностью и нажми Ctrl+Enter!

Скачать русскую Joomla 3.0.3

Что нового в Joomla 3.0.3?

Скачать русскую Joomla 3.0.3

Сообщество Joomla.org выпустило стабильную версию Joomla 3.0.3 rus, в которой видно значительный рывок вперед. Среди явных изменений - интерфейс на базе CSS фреймворка Twitter Bootstrap, новая платформа, мобильная версия панели управления и многое другое.

Что нового в Joomla 3.0.3?

Полностью новый интерфейс на основе Twitter Bootstrap

Самое ожидаемое нововведение для Joomla 3.0.3 — это переход на Twitter Bootstrap + jQuery. Таким образом будет полностью изменен интерфейс панели управления.

Основная цель неожиданного нововведения — унификация дизайна всех компонентов для ускорения последующей разработки расширений и приятное дополнение — поддержка мобильных устройств и возможностей современных браузеров.

Кайл Ледбеттер и его команда «Joomla юзабилити» (http://ux.joomla.org) переделывают полностью CMS Joomla используя сервис и программный продукт Twitter Bootstrap (огромный набор инструментальных средств для разработки веб-сайтов и приложений с поддержкой мобильных устройств).

Серьезное обновление фреймворка Joomla до 12.1

Будет удалена большая часть устаревшего функционала, которая тянется еще с Joomla 1.5.x. Соответственно увеличатся требования к хостингу. Теперь минимальная версия PHP — 5.3.1 Больше не нужно заботиться о опциях «register_globals» и «magic_quotes_gpc».

Другие немаловажные изменения

  • Новый шаблон Protostar созданный с помощью новых интерфейсных решений
  • Обновление шаблона Beez3
  • Новый установщик CMS в 3 шага
  • Новый PostgreSQL драйвер. До этого Joomla работала только на MySQL
  • Новый драйвер кеширования Memcache
  • Для управления фидами теперь используется JFeed вместо SimplePie
  • Языковые пакеты можно устанавливать так же как и любые другие расширения
  • Добавилась группа пользователей по умолчанию — Гость, для анонимных пользователей
  • Можно сохранять пустые материалы
  • Обновился WYSIWYG редактор TinyMCE до 3.5.6
  • Улучшена архитектура базы данных и вычищен старый код
  • Обновлена система умного поиска (Smart Search)
  • Стандартизация и форматирование текущего исходного кода
  • Unit тесты для всей CMS
  • Кастомизация модуля меню
  • Стандартный SEF теперь умеет добавлять каноническую мета-ссылку в head

Что будет с Joomla 2.5?

Joomla 2.5 является версией долгосрочной поддержки (LTS — Long Team Support) и будет поддерживаться по крайней мере до весны 2014 года. Две версии Joomla будут развиваться параллельно. 2.5 прекратит свое существование после выхода версии 3.5. Если вы уже используете Joomla 2.5 то, не стоит обновляться до 3.0, т.к J!3.0 предназначена сейчас только для новых сайтов.

Смогу ли я обновить Joomla 2.5 до 3.0?

Сейчас этот вопрос стоит в высоком приоритете и в ближайших релизах он будет решен скорее всего в виде скрипта миграции как это было ранее (при переходе с Joomla 1.5 -> 2.5). Но скорее всего вам придется частично модифицировать ваши текущие шаблоны и расширения под API Joomla 3.0 Перед использованием J!3.0 имейте ввиду что не все расширения от 2.5 будут работать на 3.0 Обязательно выясните это у разработчиков этих расширений.

Для кого и зачем предназначена Joomla 3.0?

В первую очередь эта версия для тех, кто хочет испытать на себе возможности новой версии Joomla. Т.к это не прямое обновление с 2.5, то лучше использовать её на новых сайтах. При создании сайта, учитывайте какие шаблоны и расширения работают с той или иной версией Joomla и отталкиваясь от этого, создавайте новый сайт.

Скриншоты панели управления Joomla 3.0
Прикрепленные файлы:
Скачать Joomla 3.0.3 rus Stable
Объем: 7.66 MB; Тип: zip; Загрузок: 35983; в сутки: ~23; Обновлен: 10:54, 15 Февраля 2013;
Скачать русификацию Joomla 3.0.3
[Русификатор Joomla 3.0.3 v2]
Объем: 331.41 KB; Тип: zip; Загрузок: 19777; в сутки: ~12; Обновлен: 10:48, 15 Февраля 2013;
Смотрите также:
Комментарии (42) Добавить комментарий
  • WebDigger
    WebDigger
    28 Июля 2012, 05:36
     ↑  +24  ↓     ответ

    Киньте в них кто нить камень! Походу они сами остановится не могут! )))

    Только-только допилил 2.5 до человеческого состояния,а тут НА ТЕБЕ - Joomla 3.0!

  • Очередной вебмастер
    Очередной вебмастер
    30 Июля 2012, 03:54
     ↑  +5  ↓     ответ

    Нормально, нормально, потом сами спасибо скажете, когда можно будет легко и быстро на Bootstrap и JQuery приличный шаблончик сваять

  • Андрей
    Андрей
    02 Августа 2012, 22:30
     ↑  +7  ↓     ответ

    Технологии как-то очень быстро устаревают. Действительно, только привык к Joomla 2.5, тут начинает выходить 3.0 на новой платформе - и уже меньше желания вкладывать силы и время в настройку 2.5.

    • Вася
      Вася
      19 Марта 2013, 01:41
       ↑  +5  ↓     ответ

      Я знал, что так будет, поэтому до сих пор сижу на 1.5. Пересяду уже на 3.5. Иначе время ни на что не хватит.

      • Алексей
        Алексей
        31 Января 2014, 21:44
         ↑  -1  ↓     ответ

        Вот и я такой же :))

  • viktor
    viktor
    10 Августа 2012, 15:32
     ↑  +3  ↓     ответ

    здорово!!! значет ближе к зиме буду пилить уже стабильный релиз и готовить под себя...

    Радоваться надо что так быстро обновляют и совершенствуют систему нам же самим удобней будет в будующем ....

    к примеру 2.5 вышла после двух версий 1.6 и 1.7... и как вовремя столько вопросов помогла решить я про 1.5 уже и думать перестал и смотреть в ее сторону не хочуу!!!

    а 2.5 жизнь упрастила просто слов нет и столько новых возможностей дала!!!!

    так что Благодарность !!! разработчикам огромная!!!

    а от 3.0 ожидаю только позетива !!!

  • Евгений
    Евгений
    10 Сентября 2012, 23:10
     ↑  +1  ↓     ответ

    А как быть с расширениями? Станут от 2,5?

    • Евгений
      Евгений
      10 Сентября 2012, 23:11
       ↑  +1  ↓     ответ

      Да, и обновится ли она с 2,5 на 3,0 без такого гемора как нужно было с 1,5 на 1,6...

    • smet.denis
      smet.denis (админ)
      11 Сентября 2012, 03:14
       ↑  +1  ↓     ответ

      Думаю будет какая-то обратная совместимость. Расширений у Joomla уже очень и очень много и я сомневаюсь, что такую сильную сторону CMS разработчики захотят потерять.

  • Денис
    Денис
    12 Сентября 2012, 17:19
     ↑  +3  ↓     ответ

    Вот именно по большей части при появлении новой версии Joomla меня всегда беспокоит вопрос совместимости расширений - а это во всех обновлениях всегда самый больной вопрос!!!

    Так как я занимаюсь не только программированием а ещё и продвижением сайтов то могу заверить, что для продвижения частые обновления CMS это очень большой геморрой ибо тут одной сменой шаблончика не обойтись )))))

  • Александр
    Александр
    01 Октября 2012, 18:46
     ↑  +2  ↓     ответ

    Расширения 2.5 вряд ли станут.. уже попробовал.. Сразу ругается по поводу xml.. поменял <install> на <extension> это видимо новшество такое.. устанавливается, но дальше никак.

    Пробовал идеальный шаблон.. подключил будстрап.. установка проходит, а шаблона нет. В "голове" шаблона пусто.. надо на досуге подумать..

  • Sanyok
    Sanyok
    31 Октября 2012, 23:31
     ↑  +5  ↓     ответ

    версии 1.6, версия 1.7, версия 2.5, теперь 3-я, и хоть бы в одной сделали, чтоб один материал можно было добавить в несколько категорий без расширений. Юзаю 1.5 и меня всё устраивает, только все оближут 3-ю версию, выйдет 3.5, а то гляди и 4-я, потом 5-я и т.д. Стабильных версий нет, так как появляются новые версии типа с кучей исправленых ошибок, косяки будут вылетать постоянно, каждая версия выходит с чем-то новым и со своими тараканами. Лучше сделали бы одну версию, и реально стабильную... А то к каждой версии ищи расширения, плагины, модули, или писать их самому, чтоб криво не лёг на сайт, да вы еб...лись все! Вся эта хрень бесит уже...

    • Андрей
      Андрей
      01 Ноября 2012, 00:06
       ↑  +1  ↓     ответ

      Ну вообще то версии *.5.* и есть стабильные

      1.5.

      2.5.

      3 - для разработчиков, 3.5 будет стабильная и будет рекомендовано обновиться с 2.5

  • Пётр
    Пётр
    05 Ноября 2012, 04:54
     ↑  +3  ↓     ответ

    Один недостаток - для третей джулмы совершенно нету шаблонов.

  • Лариса
    Лариса
    01 Декабря 2012, 08:38
     ↑  +4  ↓     ответ

    Да и вообще большой вопрос - кому это нужно?

    Разработчики играют в игрушки в своей песочнице, так пусть наслаждаются.

    Я считаю, что версия джумлы 1.5 очень хорошая, лучше бы в ней дыры затыкали, брали пример с разработчиков ВордПресс.

    которые систематически бьют в одну точку - дорабатывают движок и не дергаются с версиями.

  • Лариса
    Лариса
    01 Декабря 2012, 08:40
     ↑  +4  ↓     ответ

    Лучше бы визуальный редактор толковый написали, все-таки это основной инструмент для работы на сайте.

    • Вася
      Вася
      19 Марта 2013, 01:44
       ↑  +1  ↓     ответ

      Вот говорят, что проблема визуального редактора в третьей версии решена. А в 1.5 это мрак.

      • Владимир
        Владимир
        05 Апреля 2013, 20:36
         ↑  +1  ↓     ответ

        Нифига не допилили, как был говняный редактор, так и остался, все те же глюки с 1.5 версии тянутся, и если другой ставить то же самое

  • Kot
    Kot
    04 Декабря 2012, 10:10
     ↑  +3  ↓     ответ

    Правильно ребята, поделом им. Бей их словом и делом.... Жириновского на них, окоянных, нет...... :)))

  • Himeris
    Himeris
    04 Декабря 2012, 20:30
     ↑  +1  ↓     ответ

    Оно кстати с Server2Go работает? Проверял кто? В теории проблем вроде не должно быть...

  • klavel
    klavel
    05 Декабря 2012, 17:56
     ↑  +5  ↓     ответ

    Полностью солидарен с WebDigger, Денисом,Sanyok, Ларисой в части того, что разработчики работают над системой ради системы. Явно просматривается обуявшая их гордыня, погоня за лидерством в ущерб качеству. При этом игнорируется то, что на этой системе строятся реальные сайты, работа над которыми стоит времени и сил. Бесчисленные релизы исправляющие бесконечные ошибки, затруднения при установке расширений, возрастающие требования к серверам, очень сильно затрудняют работу с этой системой. Невольно возникает вопрос, а стоит ли эта система того?

  • vadimka
    vadimka
    12 Декабря 2012, 02:27
     ↑  +1  ↓     ответ

    Кому надо готовые шаблоны 3.0 глянте тут) help-webmasters.ru если что помогу установить

  • Такой же Вебмастер:)
    Такой же Вебмастер:)
    18 Декабря 2012, 08:32
     ↑  +1  ↓     ответ

    Согласен со многими, им бы остановиться и до ума доделать что-то... Ещё косяк у меня РНР версии ниже 5-й :))

  • Такой же Вебмастер:)
    Такой же Вебмастер:)
    18 Декабря 2012, 08:34
     ↑  +2  ↓     ответ

    Точнее ниже 5.3.1 :))

  • Ирина
    Ирина
    19 Декабря 2012, 23:22
     ↑  +1  ↓     ответ

    Согласная со всеми. Тихонько себе 3 года работала на Джумле 1,5 тут их понесло!!! поставила 3 в перый раз. буду капаться сидеть)))

  • Алексей
    Алексей
    23 Декабря 2012, 17:35
     ↑  0  ↓     ответ

    Люди, будьте так любезны, подскажите название компонента комментариев который используется на этом сайте? Неужели jcommеnts?

    • Катерина
      Катерина (админ)
      23 Декабря 2012, 17:47
       ↑  +2  ↓     ответ

      Коментарии сделаны на основе JBZoo (joomla-book.ru/download-jbzoo) с небольшими доработками.

      • Алексей
        Алексей
        24 Декабря 2012, 06:51
         ↑  +1  ↓     ответ

        Благодарю!!!

  • Александр
    Александр
    11 Января 2013, 19:37
     ↑  +1  ↓     ответ

    Наверно лучше дождаться версии 3.5...

  • Андрей
    Андрей
    18 Января 2013, 14:19
     ↑  +1  ↓     ответ

    Однажды попробовал протестировать joomla 3.0, и шаблон для joomla 2.5, сделанный на Artisteer 4, установился без проблем.

  • Андрей
    Андрей
    18 Января 2013, 14:24
     ↑  +1  ↓     ответ

    что касается совместимых расширений, то их появляется все больше, например, можно скачать здесь extensions.joomla.org/search?q=Joomla+3.0 . Однозначно новые сайты буду делать на joomla 3.0, надеюсь, разработчики в ближайшие годы не придумают какую-нибудь 5.0 или 9.0)

  • резиновый_утенок
    резиновый_утенок
    18 Января 2013, 20:52
     ↑  +1  ↓     ответ

    подскажите пожалуйста где можно скачать книги по пользованию joomla 3.0 с картинками по пользованию.только для joomla 3.0 это моя первая программа.

  • Олег
    Олег
    24 Января 2013, 02:26
     ↑  +1  ↓     ответ

    В принципе кто заставляет использовать этот движок? Есть куча других которые ничуть не хуже, намного легче в управлении и потребляют намного меньше ресурсов. А WP как раз и стал монстром по прожорливости потому что разработчики все только дыры и латают и функционал совершенствуют - а ядро движка то по старым технологиям сделано!

  • Евгения
    Евгения
    30 Января 2013, 00:20
     ↑  +1  ↓     ответ

    Здравствуйте! Если я правильно все поняла, наш сайт был создан вашими разработчиками! Необходима инфрмация, свяжитесь, пожалуйста, со мной!

    8-916-516-72-60 Евгения Александровна

  • Сергей
    Сергей
    10 Февраля 2013, 15:08
     ↑  +1  ↓     ответ

    А тут еще и видео есть! youtube.com/watch?v=4KVgP3ZMwaA

    Но где в третьей джумле это есть и включается???

  • аера
    аера
    25 Февраля 2013, 14:47
     ↑  -7  ↓     ответ

    Я новичёк, Решил создать свой сайт. Создал первый сайт на Вордпресс, но при смене темы получил каку-то хрень. Думал перескочить на жумлу, вроде , пишут, что возможностей больше.

    Начал устанавливать, а тут геморрой с обновлениями, да ну их к лешему. Уж кто куда, а я обратно на вордпресс, там хоть кнопочки знакомые есть!

  • Юрий
    Юрий
    18 Марта 2013, 20:03
     ↑  +1  ↓     ответ

    Народ я одного не пойму - да, там jQuery но там же и mootools остались! То-ли я чего-то не понимаю, и нынче это нормально - пихать две библиотеки javascript ?

  • Василий
    Василий
    06 Июля 2013, 16:52
     ↑  0  ↓     ответ

    Здравствуйте!

    Не могу перейти на первый шаг. Распаковал архив в созданную на сервере папку. Далее сразу проблема: скопированное имя папки пишу в адресной строке (seit.000007.ru) и выдаётся ошибка:"К сожалению, Google Chrome не может найти страницу seit.000007.ru".

    Почему так?

  • Василий
    Василий
    06 Июля 2013, 17:26
     ↑  0  ↓     ответ

    Надо было создать домен или поддомен ... и всё.

  • Comrad
    Comrad
    21 Августа 2013, 23:41
     ↑  +1  ↓     ответ

    Комрады, а есть ли сроки выхода версии 3.5 ?

    А то в самом деле, пилить 3.0.3, потом 3.5...

  • Noob
    Noob
    27 Октября 2013, 00:36
     ↑  0  ↓     ответ

    Здравствуйте. Установил, поставил... Через некоторое время обнаружил что некоторые ссылки в head на систем приняли вид

    *сслка на файл*?v=*числовое значение*. Это однозначно вирус или возможно работа какого-либо компонента?

  • Артем
    Артем
    17 Января 2014, 22:00
     ↑  0  ↓     ответ

    Беда( С постгресом пакет русификации не работает(

Оставить комментарий




* обязательно для заполнения

1 введенный почтовый адрес используется только для обратной связи при ответах в комментариях и сервиса gravatar.com
.